Subject: RE: bug#1187: 23.0.60; Cannot read vline.el - invalid read syntax

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 08:18:06 -0700

> > For me, the file vline.el downloaded from the above address loads
> > successfully even without setting LANG to "C".  Just a simple "C-x
> > C-f" works and doesn't throw any errors.
> > 
> > Either the version of vline.el Drew used is different, or something
> > else is at work here.  Drew, are you using the patched 
> > EmacsW32 binary produced by Lennart?  If so, perhaps it's something
> > that is being triggered by the patches.  Or maybe something in Drew's
> > .emacs customizations?
> 
> I think Drew is using the unpatched version.

Correct.

> And I can see this problem with both the unpatched and the patched version.
> 
> However there might be a misunderstanding. There is no error while
> reading vline.el. The error comes when I do eval-buffer.

Yes, the problem arises when I load (so, eval) the library. But Lawrence and Eli
both mentioned loading also.